Table of Contents

Class: Platform | Twisted-0.17.4/twisted/python/runtime.py
--- | ---

Gives us information about the platform we're running on

Methods |
--- | ---
__init__ getType isKnown isWinNT
| __init__

    __init__ ( self )

| getType

    getType ( self )

Return `posix`, `win32` or `java`

| isKnown

    isKnown ( self )

Do we know about this platform?

| isWinNT

    isWinNT ( self )

Are we running in Windows NT?

Exceptions |
--- | ---
ValueError, "this is not a Windows platform"

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:23 2002 by HappyDoc version 2.0